//go:generate mockgen -package mocks -source cluster_grpc.pb.go -destination mocks/cluster.go

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.1
// source: infranetes/user/v1/cluster.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type CloudType int32

const (
	CloudType_CLOUD_TYPE_UNKNOWN CloudType = 0
	CloudType_AWS                CloudType = 1
	CloudType_GCP                CloudType = 2
	CloudType_AZURE              CloudType = 3
)

// Enum value maps for CloudType.
var (
	CloudType_name = map[int32]string{
		0: "CLOUD_TYPE_UNKNOWN",
		1: "AWS",
		2: "GCP",
		3: "AZURE",
	}
	CloudType_value = map[string]int32{
		"CLOUD_TYPE_UNKNOWN": 0,
		"AWS":                1,
		"GCP":                2,
		"AZURE":              3,
	}
)

func (x CloudType) Enum() *CloudType {
	p := new(CloudType)
	*p = x
	return p
}

func (x CloudType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CloudType) Descriptor() protoreflect.EnumDescriptor {
	return file_infranetes_user_v1_cluster_proto_enumTypes[0].Descriptor()
}

func (CloudType) Type() protoreflect.EnumType {
	return &file_infranetes_user_v1_cluster_proto_enumTypes[0]
}

func (x CloudType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CloudType.Descriptor instead.
func (CloudType) EnumDescriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{0}
}

type Status int32

const (
	Status_STATUS_UNKNOWN Status = 0
	Status_REGISTERED     Status = 1
)

// Enum value maps for Status.
var (
	Status_name = map[int32]string{
		0: "STATUS_UNKNOWN",
		1: "REGISTERED",
	}
	Status_value = map[string]int32{
		"STATUS_UNKNOWN": 0,
		"REGISTERED":     1,
	}
)

func (x Status) Enum() *Status {
	p := new(Status)
	*p = x
	return p
}

func (x Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Status) Descriptor() protoreflect.EnumDescriptor {
	return file_infranetes_user_v1_cluster_proto_enumTypes[1].Descriptor()
}

func (Status) Type() protoreflect.EnumType {
	return &file_infranetes_user_v1_cluster_proto_enumTypes[1]
}

func (x Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Status.Descriptor instead.
func (Status) EnumDescriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{1}
}

type PrepareClusterInstallationRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ClusterName string    `protobuf:"bytes,1,opt,name=cluster_name,json=clusterName,proto3" json:"cluster_name,omitempty"`
	CloudType   CloudType `protobuf:"varint,2,opt,name=cloud_type,json=cloudType,proto3,enum=api.infranetes.user.v1.CloudType" json:"cloud_type,omitempty"`
}

func (x *PrepareClusterInstallationRequest) Reset() {
	*x = PrepareClusterInstallationRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_cluster_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrepareClusterInstallationRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrepareClusterInstallationRequest) ProtoMessage() {}

func (x *PrepareClusterInstallationRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_cluster_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrepareClusterInstallationRequest.ProtoReflect.Descriptor instead.
func (*PrepareClusterInstallationRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{0}
}

func (x *PrepareClusterInstallationRequest) GetClusterName() string {
	if x != nil {
		return x.ClusterName
	}
	return ""
}

func (x *PrepareClusterInstallationRequest) GetCloudType() CloudType {
	if x != nil {
		return x.CloudType
	}
	return CloudType_CLOUD_TYPE_UNKNOWN
}

type PrepareClusterInstallationResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	InstallUrl string `protobuf:"bytes,1,opt,name=install_url,json=installUrl,proto3" json:"install_url,omitempty"`
}

func (x *PrepareClusterInstallationResponse) Reset() {
	*x = PrepareClusterInstallationResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_cluster_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PrepareClusterInstallationResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PrepareClusterInstallationResponse) ProtoMessage() {}

func (x *PrepareClusterInstallationResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_cluster_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PrepareClusterInstallationResponse.ProtoReflect.Descriptor instead.
func (*PrepareClusterInstallationResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{1}
}

func (x *PrepareClusterInstallationResponse) GetInstallUrl() string {
	if x != nil {
		return x.InstallUrl
	}
	return ""
}

type GetClustersRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *GetClustersRequest) Reset() {
	*x = GetClustersRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_cluster_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetClustersRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetClustersRequest) ProtoMessage() {}

func (x *GetClustersRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_cluster_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetClustersRequest.ProtoReflect.Descriptor instead.
func (*GetClustersRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{2}
}

type GetClustersResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Clusters []*Cluster `protobuf:"bytes,1,rep,name=clusters,proto3" json:"clusters,omitempty"`
}

func (x *GetClustersResponse) Reset() {
	*x = GetClustersResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_cluster_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetClustersResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetClustersResponse) ProtoMessage() {}

func (x *GetClustersResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_cluster_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetClustersResponse.ProtoReflect.Descriptor instead.
func (*GetClustersResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{3}
}

func (x *GetClustersResponse) GetClusters() []*Cluster {
	if x != nil {
		return x.Clusters
	}
	return nil
}

type Cluster struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string    `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name      string    `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	CloudType CloudType `protobuf:"varint,3,opt,name=cloud_type,json=cloudType,proto3,enum=api.infranetes.user.v1.CloudType" json:"cloud_type,omitempty"`
	Status    Status    `protobuf:"varint,4,opt,name=status,proto3,enum=api.infranetes.user.v1.Status" json:"status,omitempty"`
}

func (x *Cluster) Reset() {
	*x = Cluster{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_cluster_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Cluster) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Cluster) ProtoMessage() {}

func (x *Cluster) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_cluster_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Cluster.ProtoReflect.Descriptor instead.
func (*Cluster) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_cluster_proto_rawDescGZIP(), []int{4}
}

func (x *Cluster) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Cluster) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Cluster) GetCloudType() CloudType {
	if x != nil {
		return x.CloudType
	}
	return CloudType_CLOUD_TYPE_UNKNOWN
}

func (x *Cluster) GetStatus() Status {
	if x != nil {
		return x.Status
	}
	return Status_STATUS_UNKNOWN
}

var File_infranetes_user_v1_cluster_proto protoreflect.FileDescriptor

var file_infranetes_user_v1_cluster_proto_rawDesc = []byte{
	0x0a, 0x20, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x75, 0x73, 0x65,
	0x72, 0x2f, 0x76, 0x31, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x16, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74,
	0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x22, 0x88, 0x01, 0x0a, 0x21, 0x50,
	0x72, 0x65, 0x70, 0x61, 0x72, 0x65, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x6e, 0x73,
	0x74, 0x61, 0x6c, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x21, 0x0a, 0x0c, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x40, 0x0a, 0x0a, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x5f, 0x74, 0x79, 0x70,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x21, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x54, 0x79, 0x70, 0x65, 0x22, 0x45, 0x0a, 0x22, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x65,
	0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x69,
	0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0a, 0x69, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x55, 0x72, 0x6c, 0x22, 0x14, 0x0a, 0x12,
	0x47, 0x65, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x22, 0x52, 0x0a, 0x13, 0x47, 0x65, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72,
	0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3b, 0x0a, 0x08, 0x63, 0x6c, 0x75,
	0x73, 0x74, 0x65, 0x72, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x52, 0x08, 0x63, 0x6c,
	0x75, 0x73, 0x74, 0x65, 0x72, 0x73, 0x22, 0xa7, 0x01, 0x0a, 0x07, 0x43, 0x6c, 0x75, 0x73, 0x74,
	0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x40, 0x0a, 0x0a, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x5f,
	0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x21, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x54, 0x79, 0x70, 0x65, 0x52, 0x09, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x54, 0x79, 0x70, 0x65, 0x12, 0x36, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x2a, 0x40, 0x0a, 0x09, 0x43, 0x6c, 0x6f, 0x75, 0x64, 0x54, 0x79, 0x70, 0x65, 0x12, 0x16, 0x0a,
	0x12, 0x43, 0x4c, 0x4f, 0x55, 0x44, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x55, 0x4e, 0x4b, 0x4e,
	0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x07, 0x0a, 0x03, 0x41, 0x57, 0x53, 0x10, 0x01, 0x12, 0x07,
	0x0a, 0x03, 0x47, 0x43, 0x50, 0x10, 0x02, 0x12, 0x09, 0x0a, 0x05, 0x41, 0x5a, 0x55, 0x52, 0x45,
	0x10, 0x03, 0x2a, 0x2c, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x12, 0x0a, 0x0e,
	0x53, 0x54, 0x41, 0x54, 0x55, 0x53, 0x5f, 0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00,
	0x12, 0x0e, 0x0a, 0x0a, 0x52, 0x45, 0x47, 0x49, 0x53, 0x54, 0x45, 0x52, 0x45, 0x44, 0x10, 0x01,
	0x32, 0x92, 0x02, 0x0a, 0x0e, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x12, 0x95, 0x01, 0x0a, 0x1a, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x65, 0x43,
	0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x39, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x65, 0x70,
	0x61, 0x72, 0x65, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6c,
	0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3a, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75,
	0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x65, 0x43, 0x6c,
	0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x6e, 0x73, 0x74, 0x61, 0x6c, 0x6c, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x68, 0x0a, 0x0b, 0x47,
	0x65, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x73, 0x12, 0x2a, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x47, 0x65, 0x74, 0x43, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x27, 0x5a, 0x25, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x62,
	0x61, 0x63, 0x6b, 0x75, 0x70, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x76, 0x31, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_infranetes_user_v1_cluster_proto_rawDescOnce sync.Once
	file_infranetes_user_v1_cluster_proto_rawDescData = file_infranetes_user_v1_cluster_proto_rawDesc
)

func file_infranetes_user_v1_cluster_proto_rawDescGZIP() []byte {
	file_infranetes_user_v1_cluster_proto_rawDescOnce.Do(func() {
		file_infranetes_user_v1_cluster_proto_rawDescData = protoimpl.X.CompressGZIP(file_infranetes_user_v1_cluster_proto_rawDescData)
	})
	return file_infranetes_user_v1_cluster_proto_rawDescData
}

var file_infranetes_user_v1_cluster_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_infranetes_user_v1_cluster_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_infranetes_user_v1_cluster_proto_goTypes = []interface{}{
	(CloudType)(0), // 0: api.infranetes.user.v1.CloudType
	(Status)(0),    // 1: api.infranetes.user.v1.Status
	(*PrepareClusterInstallationRequest)(nil),  // 2: api.infranetes.user.v1.PrepareClusterInstallationRequest
	(*PrepareClusterInstallationResponse)(nil), // 3: api.infranetes.user.v1.PrepareClusterInstallationResponse
	(*GetClustersRequest)(nil),                 // 4: api.infranetes.user.v1.GetClustersRequest
	(*GetClustersResponse)(nil),                // 5: api.infranetes.user.v1.GetClustersResponse
	(*Cluster)(nil),                            // 6: api.infranetes.user.v1.Cluster
}
var file_infranetes_user_v1_cluster_proto_depIdxs = []int32{
	0, // 0: api.infranetes.user.v1.PrepareClusterInstallationRequest.cloud_type:type_name -> api.infranetes.user.v1.CloudType
	6, // 1: api.infranetes.user.v1.GetClustersResponse.clusters:type_name -> api.infranetes.user.v1.Cluster
	0, // 2: api.infranetes.user.v1.Cluster.cloud_type:type_name -> api.infranetes.user.v1.CloudType
	1, // 3: api.infranetes.user.v1.Cluster.status:type_name -> api.infranetes.user.v1.Status
	2, // 4: api.infranetes.user.v1.ClusterService.PrepareClusterInstallation:input_type -> api.infranetes.user.v1.PrepareClusterInstallationRequest
	4, // 5: api.infranetes.user.v1.ClusterService.GetClusters:input_type -> api.infranetes.user.v1.GetClustersRequest
	3, // 6: api.infranetes.user.v1.ClusterService.PrepareClusterInstallation:output_type -> api.infranetes.user.v1.PrepareClusterInstallationResponse
	5, // 7: api.infranetes.user.v1.ClusterService.GetClusters:output_type -> api.infranetes.user.v1.GetClustersResponse
	6, // [6:8] is the sub-list for method output_type
	4, // [4:6] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_infranetes_user_v1_cluster_proto_init() }
func file_infranetes_user_v1_cluster_proto_init() {
	if File_infranetes_user_v1_cluster_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_infranetes_user_v1_cluster_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrepareClusterInstallationRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_cluster_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PrepareClusterInstallationResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_cluster_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetClustersRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_cluster_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetClustersResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_cluster_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Cluster); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_infranetes_user_v1_cluster_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_infranetes_user_v1_cluster_proto_goTypes,
		DependencyIndexes: file_infranetes_user_v1_cluster_proto_depIdxs,
		EnumInfos:         file_infranetes_user_v1_cluster_proto_enumTypes,
		MessageInfos:      file_infranetes_user_v1_cluster_proto_msgTypes,
	}.Build()
	File_infranetes_user_v1_cluster_proto = out.File
	file_infranetes_user_v1_cluster_proto_rawDesc = nil
	file_infranetes_user_v1_cluster_proto_goTypes = nil
	file_infranetes_user_v1_cluster_proto_depIdxs = nil
}
